package cn.estsh.i3plus.core.apiservice.serviceimpl.base;

import cn.estsh.i3plus.core.api.iservice.base.IDataSimpleService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 17:03
 * @Modify:
 **/
@Service
public class DataSimpleService implements IDataSimpleService {
    private Logger LOGGER = LoggerFactory.getLogger(this.getClass());

    /*@Autowired
    private IMachineFactoryDao machineFactoryDao;

    @Override
    public void saveMachineFactory(MachineFactory machineFactory) {
        //生成主键
        machineFactoryDao.save(machineFactory);
    }*/
/*
    @Override
    public void updateMachineFactoryNameById(long id, String factoryName) {
        machineFactoryDao.updateMachineFactoryNameById(id,factoryName);
    }

    @Override
    public void deleteMachineFactoryById(long id) {
        machineFactoryDao.deleteMachineFactoryById(id);
    }

    @Autowired
    private DataSource ds;

    @Override
    public List<MachineFactory> findMachineFactoryByFactoryName(String factoryName) {
        return machineFactoryDao.findMachineFactoryByFactoryName(factoryName);
    }

    @Override
    public List<MachineFactory> findMachineFactoryByFactoryCode(String factoryCode) {
        return machineFactoryDao.findMachineFactoryByFactoryCode(factoryCode);
    }

    @Override
    public List<MachineFactory> findMachineFactorySpecial() {
        return machineFactoryDao.findMachineFactorySpecial();
    }*/
}
